/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.configuration.metatype.annotations;

import aQute.bnd.annotation.xml.XMLAttribute;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author Alejandro Tardín
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
@XMLAttribute(
	embedIn = "*", namespace = ExtendedAttributeDefinition.XML_NAMESPACE,
	prefix = ExtendedAttributeDefinition.XML_ATTRIBUTE_PREFIX
)
public @interface ExtendedAttributeDefinition {

	public static final String XML_ATTRIBUTE_PREFIX = "cf";

	public static final String XML_NAMESPACE =
		"http://www.liferay.com/xsd/liferay-configuration-admin_1_0_0.xsd";

	public String[] descriptionArguments() default {};

	public String[] nameArguments() default {};

}