/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.portal.configuration.metatype.util;

import com.liferay.petra.string.StringBundler;
import com.liferay.portal.configuration.metatype.annotations.ExtendedObjectClassDefinition;
import com.liferay.portal.kernel.util.StringUtil;
import com.liferay.portal.kernel.util.Validator;

import java.util.Objects;

/**
 * @author Drew Brokke
 *
 * @deprecated As of Mueller (7.2.x), with no direct replacement
 */
@Deprecated
public class ConfigurationScopedPidUtil {

	public static String buildConfigurationScopedPid(
		String basePid, ExtendedObjectClassDefinition.Scope scope,
		String scopePrimKey) {

		Objects.requireNonNull(
			basePid,
			"The base PID must not be null. A scoped PID must correspond to " +
				"a configuration PID.");

		if ((scope == null) ||
			scope.equals(ExtendedObjectClassDefinition.Scope.SYSTEM)) {

			return basePid;
		}

		Objects.requireNonNull(
			scopePrimKey,
			"The scope primary key must not be null. A scoped PID must " +
				"correspond to a primary key for its scope.");

		return StringBundler.concat(
			basePid, scope.getDelimiterString(), scopePrimKey);
	}

	public static String getBasePid(String scopedPid) {
		if (Validator.isNull(scopedPid)) {
			return null;
		}

		for (ExtendedObjectClassDefinition.Scope scope :
				ExtendedObjectClassDefinition.Scope.values()) {

			String separator = scope.getDelimiterString();

			if (scopedPid.contains(separator)) {
				return StringUtil.split(scopedPid, separator)[0];
			}
		}

		return scopedPid;
	}

	public static ExtendedObjectClassDefinition.Scope getScope(
		String scopedPid) {

		if (Validator.isNull(scopedPid)) {
			return null;
		}

		for (ExtendedObjectClassDefinition.Scope scope :
				ExtendedObjectClassDefinition.Scope.values()) {

			if (scopedPid.contains(scope.getDelimiterString())) {
				return scope;
			}
		}

		return ExtendedObjectClassDefinition.Scope.SYSTEM;
	}

	public static String getScopePrimKey(String scopedPid) {
		if (Validator.isNull(scopedPid)) {
			return null;
		}

		for (ExtendedObjectClassDefinition.Scope scope :
				ExtendedObjectClassDefinition.Scope.values()) {

			String separator = scope.getDelimiterString();

			if (scopedPid.contains(separator)) {
				return StringUtil.split(scopedPid, separator)[1];
			}
		}

		return null;
	}

}